/*
 * Copyright 2011 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.unitesk.requality.core;

public class Attribute {
    private String key;
    private Object value;
    private AttributeType type;

    public Attribute(AttributeType type, String key, Object value) {
        this.type = type;
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public Object getValue() {
        return value;
    }

    public AttributeType getType() {
        return type;
    }

    @Override
    public String toString() {
        return "key: "+key+" value: "+value + " ("+super.toString()+")";
    }

    @Override
    public boolean equals(Object obj) {
        if(super.equals(obj)) return true;
        if (!(obj instanceof Attribute)) {
            return false;
        }
        Attribute attr = (Attribute) obj;
        if(!key.equals(attr.getKey())) {
            return false;
        }
        if(!type.equals(attr.getType())) {
            return false;
        }
        if(!value.equals(attr.getValue())) {
            return false;
        }
        return true;
    }
}
