/*
 * Copyright 2011 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.unitesk.requality.eclipse.ui.dialogs;

import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.widgets.Shell;

import com.unitesk.requality.core.TreeDB;
import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.eclipse.ui.cnf.RequalityLabelProvider;

public class SelectReportDataDialog extends SelectNodeDialog {
    public SelectReportDataDialog(Shell shell, TreeDB treedb) {
        super(shell, treedb);
    }
    @Override
    public String getTitle() {
        return "Report Data Node Selection";
    }

    @Override
    public boolean canCreateNodes() {
        return true;
    }

    @Override
    public TreeNode createNode(TreeNode parent, String id) {
        TreeNode node = parent.createChild(id, "ReportData");
        node.saveAttributes();
        return node;
    }

    @Override
    protected LabelProvider getLabelProvider() {
        return new RequalityLabelProvider();
    }
}
