/*
 * Copyright 2011 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.unitesk.requality.eclipse.views;

import java.util.ArrayList;

import org.eclipse.ui.views.properties.IPropertyDescriptor;
import org.eclipse.ui.views.properties.IPropertySource;
import org.eclipse.ui.views.properties.TextPropertyDescriptor;

import com.unitesk.requality.core.Attribute;
import com.unitesk.requality.core.TreeNode;

public class NodeProperty implements IPropertySource {

    private TreeNode node;

    public NodeProperty(TreeNode node) {
        this.node = node;
    }

    @Override
    public Object getEditableValue() {
        return null;
    }

    @Override
    public IPropertyDescriptor[] getPropertyDescriptors() {
        ArrayList<TextPropertyDescriptor> result = new ArrayList<TextPropertyDescriptor>();
        for(String key : node.getAttributeKeys()) {
            result .add(new TextPropertyDescriptor(key, key));
        }
        return result.toArray(new TextPropertyDescriptor[0]);
    }

    @Override
    public Object getPropertyValue(Object id) {
        return node.getAttributeValue((String) id).toString();
    }

    @Override
    public boolean isPropertySet(Object id) {
        return false;
    }

    @Override
    public void resetPropertyValue(Object id) {
        // TODO: resetPropertyValue in properties view 
    }

    @Override
    public void setPropertyValue(Object id, Object value) {
        node.putAttribute(new Attribute(node.getAttribute((String) id).getType(), (String)id, (String)value));
        node.saveAttributes();
    }
}
